/*
 * file SymbolicLinkVersion.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 * 
 * (c) Copyright IBM Corporation 2007, 2008.  All Rights Reserved. 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or  
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
 */
package javax.wvcm;

import javax.wvcm.PropertyNameList.PropertyName;

/**
 * A proxy for a symbolic link version resource.
 * 
 * @since 1.1
 */
public interface SymbolicLinkVersion extends Version {

    /**
     * A pathname that identifies the resource to which the symbolic link refers.
     * @see #getLinkTarget
     */
    public static final PropertyName<Location> LINK_TARGET =
        new PropertyName<Location>("link-target"); //$NON-NLS-1$

    /**
     * Get the {@link #LINK_TARGET} property.
     * 
     * @return the {@link #LINK_TARGET} property.
     * @throws WvcmException if this property was not set and
     * this ControllableSymbolicLink was not created with
     * {@link #LINK_TARGET} as a wanted property.
     */
    public Location getLinkTarget() throws WvcmException;

}
